XMLDataChannelDescriptorLoader (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.configuration.xml, class: XMLDataChannelDescriptorLoader

# Class XMLDataChannelDescriptorLoader

java.lang.Object
org.apache.cayenne.configuration.xml.XMLDataChannelDescriptorLoader

All Implemented Interfaces:
  `DataChannelDescriptorLoader`

public class XMLDataChannelDescriptorLoader extends Object implements DataChannelDescriptorLoader

Since:
  4.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DataMapLoader`
  `dataMapLoader`
  `protected HandlerFactory`
  `handlerFactory`
  `protected ConfigurationNameMapper`
  `nameMapper`
  `protected AdhocObjectFactory`
  `objectFactory`
  `protected Provider<XMLReader>`
  `xmlReaderProvider`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMLDataChannelDescriptorLoader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigurationTree<DataChannelDescriptor>`
  `load(Resource configurationResource)`
  Loads a DataChannelDescriptor from some configuration resource, usually an XML file found on classpath.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### xmlReaderProvider

    protected Provider<XMLReader> xmlReaderProvider

  - ### dataMapLoader

    protected DataMapLoader dataMapLoader

  - ### nameMapper

    protected ConfigurationNameMapper nameMapper

  - ### objectFactory

    protected AdhocObjectFactory objectFactory

  - ### handlerFactory

    protected HandlerFactory handlerFactory

- ## Constructor Details

  - ### XMLDataChannelDescriptorLoader

    public XMLDataChannelDescriptorLoader()

- ## Method Details

  - ### load

    public ConfigurationTree<DataChannelDescriptor> load(Resource configurationResource) throws ConfigurationException
    Description copied from interface: `DataChannelDescriptorLoader`
    Loads a DataChannelDescriptor from some configuration resource, usually an XML file found on classpath.
    Specified by:
      `load` in interface `DataChannelDescriptorLoader`
    Throws:
      `ConfigurationException`